38 10
Contact Author Sign in to rate

Quizlet to Anki 2.1 Importer with audio support

0.01MB. Updated 2020-09-11. Only supports Anki 2.1.x.

Description

This addon is a clone of this one https://ankiweb.net/shared/info/538351043 but with audio support. Instead of creating two fields, this addon creates 6: FrontText, BackText, FrontAudio, BackAudio, Image and Add Reverse. More information is here https://github.com/sviatoslav-lebediev/anki-quizlet-importer-extended If you have any problems with this addon please create an issue here https://github.com/sviatoslav-lebediev/anki-quizlet-importer-extended/issues and provide a link to your quizlet deck * 2020-09-10 update audio download algorithm * 2020-09-08 have fixed audio download for special decks :) * 2020-09-06 have fixed a partial import. shame on me :) * 2020-09-05 made an audio download optional * 2020-09-05 update a quizlet parser * 2020-08-31 support for 2.1.5-2.1.28+, sync with https://ankiweb.net/shared/info/538351043 * 2020-07-26 support for 2.1.5-2.1.28+, sync with https://ankiweb.net/shared/info/538351043 * 2020-05-23 sync with https://ankiweb.net/shared/info/538351043 * 2020-05-02 sync with https://ankiweb.net/shared/info/538351043 * 2020-03-29 fix Arabic audio export * 2020-03-03 add start/stop phrases support. It allows you to download a part of your quizlet collection. * 2020-02-29 - sync with the new https://ankiweb.net/shared/info/538351043 version. This version supports cookies. More info on the original addon page https://ankiweb.net/shared/info/538351043

Download

As add-ons are programs downloaded from the internet, they are potentially malicious. You should only download add-ons you trust.

Supported Anki versions:

To download this add-on, please copy and paste the following code into Anki 2.1:

1362209126

If you were linked to this page from the internet, please open Anki on your computer, go to the Tools menu and then Add-ons>Browse & Install to paste in the code.

All Anki 2.1.x Add-Ons Contact Author

Reviews

on 1618235634
Version ⁨2.1.43 (0fbae6bc)⁩
Error
An error occurred. Please start Anki while holding down the shift key, which will temporarily disable the add-ons you have installed.
If the issue only occurs when add-ons are enabled, please use the Tools > Add-ons menu item to disable some add-ons and restart Anki, repeating until you discover the add-on that is causing the problem.
When you've discovered the add-on that is causing the problem, please report the issue on the add-on support site.
Debug info:
Anki 2.1.43 (0fbae6bc) Python 3.8.6 Qt 5.14.2 PyQt 5.14.2
Platform: Windows 10
Flags: frz=True ao=True sv=2
Add-ons, last update check: 2021-04-12 13:48:07

Caught exception:
Traceback (most recent call last):
File "urllib3\connectionpool.py", line 699, in urlopen
File "urllib3\connectionpool.py", line 445, in _make_request
File "<string>", line 3, in raise_from
File "urllib3\connectionpool.py", line 440, in _make_request
File "http\client.py", line 1347, in getresponse
File "http\client.py", line 307, in begin
File "http\client.py", line 276, in _read_status
http.client.RemoteDisconnected: Remote end closed connection without response

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "requests\adapters.py", line 439, in send
File "urllib3\connectionpool.py", line 755, in urlopen
File "urllib3\util\retry.py", line 531, in increment
File "urllib3\packages\six.py", line 734, in reraise
File "urllib3\connectionpool.py", line 699, in urlopen
File "urllib3\connectionpool.py", line 445, in _make_request
File "<string>", line 3, in raise_from
File "urllib3\connectionpool.py", line 440, in _make_request
File "http\client.py", line 1347, in getresponse
File "http\client.py", line 307, in begin
File "http\client.py", line 276, in _read_status
urllib3.exceptions.ProtocolError: ('Connection aborted.', RemoteDisconnected('Remote end closed connection without response'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "C:\Users\cenda\AppData\Roaming\Anki2\addons21\1362209126\__init__.py", line 302, in onCode
self.createDeck(deck)
File "C:\Users\cenda\AppData\Roaming\Anki2\addons21\1362209126\__init__.py", line 353, in createDeck
file_name = self.fileDownloader(self.getAudioUrl(item['termAudio']), str(item["id"]) + "-front.mp3")
File "C:\Users\cenda\AppData\Roaming\Anki2\addons21\1362209126\__init__.py", line 385, in fileDownloader
r = requests.get(url, stream=True, verify=False, headers=headers)
File "requests\api.py", line 76, in get
File "requests\api.py", line 61, in request
File "requests\sessions.py", line 542, in request
File "requests\sessions.py", line 655, in send
File "requests\adapters.py", line 498, in send
requests.exceptions.ConnectionError: ('Connection aborted.', RemoteDisconnected('Remote end closed connection without response'))
Comment from author
Hi, could you please try the original one https://ankiweb.net/shared/info/538351043, does it work on your computer? I don't have a computer with Windows, so I will not be able to check how it works on Windows.
on 1618008844
This addon rocks! Exporting and importing Quizlet decks is breeze. Literally a matter of seconds to download full decks WITH audio (optional if you don't want to download it). In my experience, it's great for language learning since there are so many language Quizlet decks out there. It's also fantastic for language learning because with language-based Quizlet decks, you'll have native speaker audio on all the terms. Lastly, it's easy to create reverse cards with imported decks too. I'd definitely recommend this addon for anyone looking to port over Quizlet decks!
Comment from author
thank you for your reply!
on 1612702204
One of the most convenient add-ons, to practice a language without using your native language, which is a very effective way to practice listening and speaking!
on 1606336205
This add-on works really well. Thanks for creating it

Just a quick note though, it only worked after I enabled VPN; even though the error message told me to disable it?
Comment from author
It shows you this message when it gets a `Forbidden` error from the server. Maybe in your case, you get this error when you don't use VPN
on 1606262410
I use Anki to study Spanish and Korean for work. I've learned over 10,000 words. I couldn't do it without this add-on. I did have some trouble at one point with the backs of cards being blank. I'm not sure what caused it or how I fixed it, but I did after a few hours tinkering with some settings.

I don't know what you get out of this as the author, but you've made my job a lot easier and I really appreciate it.
Comment from author
Hi, happy to hear this :) I use this plugin for learning Spanish as well. That's actually why I've decided to add audio support for the existing plugin.
on 1605118927
Very helpful, thanks a lot.
on 1602598525
Thank you this is super helpful and worked beautifully on several language decks I use! The addition of audio helps a ton.
on 1601960346
Exceptional so far :)
on 1599684510
*UPDATE* Thank you very much.

In the description, it says that the audio download can be optional. Could someone please explain what steps to take so that it doesn't download the audio? Thank you
Comment from author before post was edited
Hi, you can uncheck the `Download audio` option https://monosnap.com/file/XARYjLjWlpwm0z3juA9tGQ4hhyEIBV
on 1599666733
Thank you for quickly fixing this add-on! It's been incredibly helpful and I'm amazed you were able to update it in such a short time.
on 1599659793
Used to love this add-on, worked super well and saved me every time. Unfortunately, even after the recent fixes, I still get "Sorry, it's behind a captcha. Try to disable VPN." I've tried configuring the add-on, changing wi-fi. Nothing has worked. I've also tried using the add-on with audio support. Nothing.
on 1599538581
Quizlet to Anki is currently broken due to changes to the Quizlet website, but this was updated quickly after the changes. The audio addition is great as well.
on 1599514271
I love this add-on but even after it's been fixed, it keeps saying "Sorry, it's behind a captcha. Try to disable VPN." when my deck is public and I already have VPN disabled.
Edit: Still have not resolved issue after looking at Github discussion, as I changed my wifi and nothing changed
Comment from author before post was edited
try to take a look at this issue https://github.com/sviatoslav-lebediev/anki-quizlet-importer-extended/issues/9 .
on 1599501421
worked successfully with anki 2.1.26
thank you
on 1599495227
Thank you
on 1599481010
Thanks for all
Comment from author before post was edited
Hi, I've synced my version, pls take a look if it works for you now.
on 1599439284
This is a great add-on! The issue was resolved! Awesome!
Comment from author before post was edited
please create an issue here https://github.com/sviatoslav-lebediev/anki-quizlet-importer-extended/issues and add a link to your Quizlet deck
on 1599422705
Thanks the previous update was not importing the whole deck and this update has fixed it.Was waiting for it.
Thanks a lot ,no words to express my gratitude.
on 1599407865
using this while the non-audio version is being updated. This works! thank you!!
on 1599394021
Update**

Thank you! You da real OG! It's fixed!

************************************************************************************************

Partially fixed but doesn't import all the cards. Worked this morning but developed a new problem where it breezed through without even importing a quarter of the cards


https://quizlet.com/314331873/p45-b2-antimicrobials-inhibitors-of-protein-synthesis-aminoglycosides-tetracyclines-macrolides-j-lockman-flash-cards/

Only 14 cards were imported here
Comment from author before post was edited
have fixed, try to update add on
on 1599327275
Thanks for fixing
on 1599299321
Thanks for fixing this so fast. Great add on.
on 1599244406
They will fix it at their own time. They are kind enough to do it for free. If you're still complaining why don't you fix it yourself.
on 1599183870
This was such a great add on for me, but it isn't working. I understand Quizlet has some changes to the website, but how long will it take for this to get fixed??
on 1599127412
Same problem as many others (mac OS), received the below message:

Error
An error occurred. Please start Anki while holding down the shift key, which will temporarily disable the add-ons you have installed.
If the issue only occurs when add-ons are enabled, please use the Tools > Add-ons menu item to disable some add-ons and restart Anki, repeating until you discover the add-on that is causing the problem.
When you've discovered the add-on that is causing the problem, please report the issue on the add-on support site.
Debug info:
Anki 2.1.33 (3f403040) Python 3.8.0 Qt 5.14.2 PyQt 5.14.2
Platform: Mac 10.15.1
Flags: frz=True ao=True sv=1
Add-ons, last update check: 2020-09-03 11:18:27
Add-ons possibly involved: ⁨Quizlet to Anki 21 Importer with audio support⁩

Caught exception:
Traceback (most recent call last):
File "/Users/user/Library/Application Support/Anki2/addons21/1362209126/__init__.py", line 264, in onCode
self.createDeck(deck)
File "/Users/user/Library/Application Support/Anki2/addons21/1362209126/__init__.py", line 291, in createDeck
terms = result['terms']
KeyError: 'terms'
on 1599100945
Quit working on 9/2/2020... I use this tool frequently :(

Always get this error
An error occurred. Please start Anki while holding down the shift key, which will temporarily disable the add-ons you have installed.
If the issue only occurs when add-ons are enabled, please use the Tools > Add-ons menu item to disable some add-ons and restart Anki, repeating until you discover the add-on that is causing the problem.
on 1599071467
It was working great just until yesterday but suddenly stopped working this morning. -- I was originally using the regular version with no audio but saw that this version was more recently updated. I have tried reinstalling the updated versions posted and restarting but am still getting this error. Any help would be greatly appreciated!

Debug info:
Anki 2.1.26 (70784154) Python 3.8.0 Qt 5.14.1 PyQt 5.14.1
Platform: Windows 10
Flags: frz=True ao=True sv=2
Add-ons, last update check: 2020-09-01 23:45:09

Caught exception:

Traceback (most recent call last):
File "C:\Users\user\AppData\Roaming\Anki2\addons21\1362209126\__init__.py", line 264, in onCode
self.createDeck(deck)
File "C:\Users\user\AppData\Roaming\Anki2\addons21\1362209126\__init__.py", line 291, in createDeck
terms = result['terms']
KeyError: 'terms'
Comment from author
Hi, thank you for your comment we have a ticket for this issue https://github.com/sviatoslav-lebediev/anki-quizlet-importer-extended/issues/4. I will try to fix it
on 1598382829
Thanks a lot, this is a great feature !
Just have a question : is it normal that the import stops at 99 cards ? or is it just me ?

Thanks again
Comment from author
Hi, thanks for the comment. It should import more than 99 cards if you provide a link to your collection I will try to find out why it doesn't work or you can use a start/stop phrase and import the whole collection step by step.
on 1597209790
Error on load "Can't find 8"
Does not work with Anki after I upgraded to Version 2.1.29
I used this many times before and it was a life saver but now... broken :-(
on 1596950296
Thank you so much! This add-on was really easy to use! Including the audio is a game changer for me because I don't just want to study spelling but pronunciation as well!
on 1595444585
Good app, on 22.07.2020 i got errors on ANKI 2.1.28 version. On 2.1.21 works well
Comment from author
Hi, thank you for letting me know, I've deployed a new version
on 1593355470
I tried contacting you directly but there's no option to Contact Author.

I just downloaded this add-on. It works with some Quizlet decks but others get truncated and only partially downloaded (ie 17 out of 191 cards). I also gotten the same error message other users have described.
Comment from author
Hi, here is a link to a source code repo https://github.com/sviatoslav-lebediev/anki-quizlet-importer-extended. You can add an issue there. As for decks that you can't download, could you please provide links? otherwise, I will not be able to help.
As for errors, almost all of them were because guys have changed note type settings ('Basic Quizlet Extended Audio'), please don't do it because the plugin can't import data.
on 1592481442
Thank you so much for creating this! I have hundreds upon hundreds of Spanish words that are stored in quizlet and I thought that I would have to add audio to each one individually - this is a real life-saver!

One problem, the "normal" card is fine, but both sides of the reverse side simply read "The front of this card is blank". How do I fix this so I can study Spanish to English AND English to Spanish?

Thanks again!
Comment from author
Hi, thank you for your comment. I've actually improved a previous version of this plugin because I wanted to export my english-spanish cards from Quizlet as well :) As for cards, that's how it works in my anki https://monosnap.com/file/zbLHqpFmb9aZeKGfFsRGbGKYohPmWR
Here you can find more information about card fields https://github.com/sviatoslav-lebediev/anki-quizlet-importer-extended. I think you just need to create a new `reverse` card type with the correct fields. If your `normal` card works it means that you can always reverse it. Good luck.
on 1591637861
Hi Developer,

I re-named my note card and it worked! I think the problem is the card-type, you can't edit it (you have to use the original 'Basic Quizlet Extended' otherwise you get the error). Thanks for your help!

Hi Developer,

I tried to delete and reinstall the plugin and an error still occurs. I got a message of an error on different lines though. Is the problem because I'm on 2.1.6 Anki? Also, I have changed the card type a bit. Is this possibly the problem?

Anki 2.1.6 Python 3.6.1 Qt 5.9.7 PyQt 5.9
Platform: Windows 10
Flags: frz=True ao=True sv=1

Caught exception:
File "C:\Users\leebo\AppData\Roaming\Anki2\addons21\1362209126\__init__.py", line 264, in onCode
self.createDeck(deck)
File "C:\Users\leebo\AppData\Roaming\Anki2\addons21\1362209126\__init__.py", line 318, in createDeck
note["FrontText"] = term["word"].replace('\n','<br>')
File "anki\notes.py", line 101, in __setitem__
File "anki\notes.py", line 95, in _fieldOrd
<class 'KeyError'>: 'FrontText'

NEW PROBLEM

When I tried to use this link https://quizlet.com/126259208/nihao3-l7-d1-flash-cards/?x=1jqt I got this error message (I'm on windows):

File "C:\Users\leebo\AppData\Roaming\Anki2\addons21\1362209126\__init__.py", line 400, in run
C = SimpleCookie()
<class 'AttributeError'>: 'NoneType' object has no attribute 'group'
Caught exception:
File "C:\Users\leebo\AppData\Roaming\Anki2\addons21\1362209126\__init__.py", line 262, in onCode
# self.label_results.setText(("Importing deck {0} by {1}...".format(deck["title"], deck["created_by"])))
<class 'TypeError'>: 'NoneType' object is not subscriptable

I also tried the same link on the regular Quizlet Importer and got this message:

File "C:\Users\leebo\AppData\Roaming\Anki2\addons21\538351043\__init__.py", line 338, in run
def __init__(self, window, url):
<class 'AttributeError'>: 'NoneType' object has no attribute 'group'
Caught exception:
File "C:\Users\leebo\AppData\Roaming\Anki2\addons21\538351043\__init__.py", line 230, in onCode
self.thread = QuizletDownloader(self, deck_url)
<class 'TypeError'>: 'NoneType' object is not subscriptable

PS I RESTARTED THIS AND GOT A NEW ERROR MESSAGE:

For the audio quizlet:

File "C:\Users\leebo\AppData\Roaming\Anki2\addons21\1362209126\__init__.py", line 264, in onCode
self.createDeck(deck)
File "C:\Users\leebo\AppData\Roaming\Anki2\addons21\1362209126\__init__.py", line 318, in createDeck
note["FrontText"] = term["word"].replace('\n','<br>')
File "anki\notes.py", line 101, in __setitem__
File "anki\notes.py", line 95, in _fieldOrd
<class 'KeyError'>: 'FrontText'

Strangely, when I restarted, this time the regular quizlet worked. Thanks for your help in advance!


[RESOLVED]
This is the most useful and time-saving addon I have. Thank you for your work.
There is a strange error with this program. It worked the first time I downloaded a Quizlet, but the second time I got an error. I didn't do anything different except changed/renamed some of the fields and edited what the card shows. Also, I tried it on the regular Quizlet converter but it worked then.

Debug info:
Anki 2.1.6 Python 3.6.1 Qt 5.9.7 PyQt 5.9
Platform: Windows 10
Flags: frz=True ao=True sv=1

Caught exception:
File "C:\Users\leebo\AppData\Roaming\Anki2\addons21\1362209126\__init__.py", line 263, in onCode
self.createDeck(deck)
File "C:\Users\leebo\AppData\Roaming\Anki2\addons21\1362209126\__init__.py", line 303, in createDeck
note["FrontText"] = term["word"].replace('\n','<br>')
File "anki\notes.py", line 101, in __setitem__
File "anki\notes.py", line 95, in _fieldOrd
<class 'KeyError'>: 'FrontText'
Comment from author
Cool, thanks for letting me know. You are correct you can't change a note because the script uses this structure each time when it imports decks.
on 1591288251
I really like this extension but sadly it only worked once for me... I'm going to include the error code here as well, maybe you have an idea why this has happened... It's still a really good and handy extension!
------------------
this was the deck I wanted to import
https://quizlet.com/452425250/1-geirfa-mynediad-a1-de-popeth-everything-flash-cards/
--------------------------------------------------
Error
An error occurred. Please start Anki while holding down the shift key, which will temporarily disable the add-ons you have installed.
If the issue only occurs when add-ons are enabled, please use the Tools > Add-ons menu item to disable some add-ons and restart Anki, repeating until you discover the add-on that is causing the problem.
When you've discovered the add-on that is causing the problem, please report the issue on the add-on support site.
Debug info:
Anki 2.1.22 (0ecc189a) Python 3.8.0 Qt 5.14.1 PyQt 5.14.1
Platform: Windows 8.1
Flags: frz=True ao=True sv=1
Add-ons, last update check: 2020-06-04 17:00:47

Caught exception:
Traceback (most recent call last):
File "lib\site-packages\anki\notes.py", line 145, in _fieldOrd
KeyError: 'BackAudio'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "C:\Users\Anwender\AppData\Roaming\Anki2\addons21\1362209126\__init__.py", line 264, in onCode
self.createDeck(deck)
File "C:\Users\Anwender\AppData\Roaming\Anki2\addons21\1362209126\__init__.py", line 329, in createDeck
note["BackAudio"] = "[sound:" + file_name +"]"
File "lib\site-packages\anki\notes.py", line 153, in __setitem__
File "lib\site-packages\anki\notes.py", line 147, in _fieldOrd
KeyError: 'BackAudio'
Comment from author
Hi. Have you changed a note type? I'm talking about `Basic Quizlet Extended`?
on 1591002843
Thanks a lot! I was waiting for this soooooo long! The new features are life saving.
on 1590252420
Thank you for your effort to create this addon for Anki.
Unfortunately it doesn't work for me.
It seems that there is no term "word_audio" anymore on the quizlet site (html source view)
I tried to edit your addon (exchange the term "word_audio" with "_wordAudioUrl" but I'm no expert in python) without success.
It would be great if you can fix it.
Thank you in advance!
Comment from author
Hi, thank you for your comment, especially for your 'like' instead of a dislike :) As I wrote before this addon is an extended version of this one https://ankiweb.net/shared/info/538351043 . So I've synced my code again and looks like it works. Plz, update your version. Here are changes https://github.com/sviatoslav-lebediev/anki-quizlet-importer-extended/commit/4d766c94544f7de6cc85bba9521b2429acff7222 :)
on 1590137498
already it was very very good, by new update it is not working.
my set adress is: https://quizlet.com/509192756/a2_2-lektion-15-flash-cards/

i liked this, but it is not working now

Error
An error occurred. Please start Anki while holding down the shift key, which will temporarily disable the add-ons you have installed.
If the issue only occurs when add-ons are enabled, please use the Tools>Add-ons menu item to disable some add-ons and restart Anki, repeating until you discover the add-on that is causing the problem.
When you've discovered the add-on that is causing the problem, please report the issue on the add-ons section of our support site.
Debug info:
Anki 2.1.21 (f1734a47) Python 3.8.0 Qt 5.14.1 PyQt 5.14.1
Platform: Windows 10
Flags: frz=True ao=True sv=1
Add-ons, last update check: 2020-03-14 00:50:05

Caught exception:
Traceback (most recent call last):
File "lib\site-packages\urllib3\connectionpool.py", line 665, in urlopen
File "lib\site-packages\urllib3\connectionpool.py", line 376, in _make_request
File "lib\site-packages\urllib3\connectionpool.py", line 994, in _validate_conn
File "lib\site-packages\urllib3\connection.py", line 386, in connect
File "lib\site-packages\urllib3\util\ssl_.py", line 370, in ssl_wrap_socket
File "ssl.py", line 500, in wrap_socket
File "ssl.py", line 1040, in _create
File "ssl.py", line 1309, in do_handshake
ConnectionResetError: [WinError 10054] An existing connection was forcibly closed by the remote host

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "lib\site-packages\requests\adapters.py", line 439, in send
File "lib\site-packages\urllib3\connectionpool.py", line 719, in urlopen
File "lib\site-packages\urllib3\util\retry.py", line 400, in increment
File "lib\site-packages\urllib3\packages\six.py", line 734, in reraise
File "lib\site-packages\urllib3\connectionpool.py", line 665, in urlopen
File "lib\site-packages\urllib3\connectionpool.py", line 376, in _make_request
File "lib\site-packages\urllib3\connectionpool.py", line 994, in _validate_conn
File "lib\site-packages\urllib3\connection.py", line 386, in connect
File "lib\site-packages\urllib3\util\ssl_.py", line 370, in ssl_wrap_socket
File "ssl.py", line 500, in wrap_socket
File "ssl.py", line 1040, in _create
File "ssl.py", line 1309, in do_handshake
urllib3.exceptions.ProtocolError: ('Connection aborted.', ConnectionResetError(10054, 'An existing connection was forcibly closed by the remote host', None, 10054, None))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "C:\Users\Ali\AppData\Roaming\Anki2\addons21\1362209126\__init__.py", line 254, in onCode
self.createDeck(deck)
File "C:\Users\Ali\AppData\Roaming\Anki2\addons21\1362209126\__init__.py", line 317, in createDeck
file_name = self.fileDownloader(img_url)
File "C:\Users\Ali\AppData\Roaming\Anki2\addons21\1362209126\__init__.py", line 338, in fileDownloader
r = requests.get(url, stream=True, verify=False, headers=headers)
File "lib\site-packages\requests\api.py", line 75, in get
File "lib\site-packages\requests\api.py", line 60, in request
File "lib\site-packages\requests\sessions.py", line 533, in request
File "lib\site-packages\requests\sessions.py", line 646, in send
File "lib\site-packages\requests\adapters.py", line 498, in send
requests.exceptions.ConnectionError: ('Connection aborted.', ConnectionResetError(10054, 'An existing connection was forcibly closed by the remote host', None, 10054, None))
Comment from author
Hi, I've updated this addon. Could you pls check a new version ?
on 1588174129
Error
An error occurred. Please start Anki while holding down the shift key, which will temporarily disable the add-ons you have installed.
If the issue only occurs when add-ons are enabled, please use the Tools > Add-ons menu item to disable some add-ons and restart Anki, repeating until you discover the add-on that is causing the problem.
When you've discovered the add-on that is causing the problem, please report the issue on the add-on support site.
Debug info:
Anki 2.1.22 (0ecc189a) Python 3.8.0 Qt 5.14.1 PyQt 5.14.1
Platform: Windows 10
Flags: frz=True ao=True sv=1
Add-ons, last update check: 2020-04-29 11:36:55

Caught exception:
Traceback (most recent call last):
File "lib\site-packages\urllib3\connectionpool.py", line 665, in urlopen
File "lib\site-packages\urllib3\connectionpool.py", line 421, in _make_request
File "<string>", line 3, in raise_from
File "lib\site-packages\urllib3\connectionpool.py", line 416, in _make_request
File "http\client.py", line 1322, in getresponse
File "http\client.py", line 303, in begin
File "http\client.py", line 272, in _read_status
http.client.RemoteDisconnected: Remote end closed connection without response

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "lib\site-packages\requests\adapters.py", line 439, in send
File "lib\site-packages\urllib3\connectionpool.py", line 719, in urlopen
File "lib\site-packages\urllib3\util\retry.py", line 400, in increment
File "lib\site-packages\urllib3\packages\six.py", line 734, in reraise
File "lib\site-packages\urllib3\connectionpool.py", line 665, in urlopen
File "lib\site-packages\urllib3\connectionpool.py", line 421, in _make_request
File "<string>", line 3, in raise_from
File "lib\site-packages\urllib3\connectionpool.py", line 416, in _make_request
File "http\client.py", line 1322, in getresponse
File "http\client.py", line 303, in begin
File "http\client.py", line 272, in _read_status
urllib3.exceptions.ProtocolError: ('Connection aborted.', RemoteDisconnected('Remote end closed connection without response'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "C:\Users\E5470\AppData\Roaming\Anki2\addons21\1362209126\__init__.py", line 254, in onCode
self.createDeck(deck)
File "C:\Users\E5470\AppData\Roaming\Anki2\addons21\1362209126\__init__.py", line 304, in createDeck
file_name = self.fileDownloader(self.getAudioUrl(term["def_audio"]), str(term["id"]) + "-back.mp3")
File "C:\Users\E5470\AppData\Roaming\Anki2\addons21\1362209126\__init__.py", line 341, in fileDownloader
r = requests.get(url, stream=True, verify=False, headers=headers)
File "lib\site-packages\requests\api.py", line 75, in get
File "lib\site-packages\requests\api.py", line 60, in request
File "lib\site-packages\requests\sessions.py", line 533, in request
File "lib\site-packages\requests\sessions.py", line 646, in send
File "lib\site-packages\requests\adapters.py", line 498, in send
requests.exceptions.ConnectionError: ('Connection aborted.', RemoteDisconnected('Remote end closed connection without response'))
Comment from author
Hi, thank you for your review. Honestly, I don't use a Windows operation system so I will not be able to reproduce this bug.
Could you please try to use this plugin https://ankiweb.net/shared/info/538351043? My plugin is just an extended version. If that plugin works please let me know and I will try to sync my version.
p.s. You also can provide a Quizlet deck that you have tried to download. It would help to investigate the problem.
on 1586945567
Thanks
on 1585646459
Work very well, but hope it can be faster.
Thank you very much for providing such wonderful tool! :)
on 1585489081
EDIT: This plugin works like a charm. Thanks to the developer and his reactivity in solving the previous issue (see below)

[RESOLVED] previous issue
Great plugin but unfortunately not fully functional - only imports the FrontAudio audio file, the BackAudio audio file is missing.
The BackAudio field is populated with quizlet-xxxxxxxxx-back.mp3 but the plugin fails to create the corresponding file in the collection.media folder.
e.g. for the deck 48219093 with english at the front and arabic at the back of the cards, the plugin only imports english audio and fails to import the arabic audio files.

Anki version 2.1.21 (f1734a47)
Python 3.8.0 Qt 5.14.1 PyQt 5.14.1
Comment from author before post was edited
I've fixed this issue, please install a new version
on 1585327656
English audio imported but Arabic audio did not
Comment from author
I've fixed this issue, please install a new version
on 1584450636
works great
on 1583778434
excellent; other quizlet importer I had used said every set was private, this one worked without a hitch. Thank you so much
on 1583438448
Worked well, no private errors
on 1582938933
Every deck is said to be a "private deck :(" so won't load, though the original copy does load it. It doesn't work
Comment from author
You were right, it didn't work. I've synced code with the latest version. Right now this plugin supports cookies as well.
More info how to add cookies is here https://ankiweb.net/shared/info/538351043
on 1582458620
Works really well!